### Virtual Method

# Aravis Device write_register

since: 0.2.0

#### Declaration [src]

    gboolean
    write_register (
      ArvDevice* device,
      guint64 address,
      guint32 value,
      GError** error
    )

#### Description [src]

Writes `value` to a device register.

Available since: 0.2.0

#### Parameters

`address`

  Type: `guint64`

  The register address.

`value`

  Type: `guint32`

  Value to write.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.